package com.dev.swms.server.service.fee;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.fee.BillFee;
@Transactional(readOnly=false)
public interface BillFeeManager extends BaseManager{
	
	/**保存对账单信息*/
	@Transactional
	void saveBillFee(BillFee billFee);
	
	/**删除对账单信息*/
	@Transactional
	void deleteBillFee(List<Long> ids);
	
	/**添加对账单明细(客户费用)*/
	@Transactional
	void addbillFeeDetail(Long bid, List<Long> ids);
	
	/**移除对账单明细(客户费用)*/
	@Transactional
	void removebillFeeDetail(Long bid, List<Long> ids);
}
